<template>
    <div>
        <chart :searchQuery="searchQuery"></chart>
    </div>
</template>
<script>
import chart from './components/echarts.vue'
export default{
    components:{
        chart
    },
    data() {
        return {
            
        }
    },
    computed:{
        searchQuery(){
            var a = this.$route.query.searchData
            if(a){
                return JSON.parse(this.$route.query.searchData)
            }
            return {}
        }
    }
}
</script>